Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0031833
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2016-01-07 18:152016-01-13 11:19
ReporterngarciaView Statuspublic 
Assigned Toaferraz 
PriorityurgentResolutionno change requiredFixed in Version3.0PR16Q2
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0031833: Inconsistent data in M_STORAGE_PENDING table if the product is changed from Not Stocked to Stocked having pending orders

DescriptionInconsistent data in M_STORAGE_PENDING table if the product is changed from Not Stocked to Stocked having pending orders
Steps To ReproduceAs group admin role:
   Create a non stocked product
   Add a purchase and a sales price list to it
   Create a purchase and a sales order for that product
   Check no records have been created in the m_storage_pending table
   Set it as Stocked
   Create a goods receipt and goods shipment from the orders
   Check a new entry has been created in the m_storage_pending table with:
      qtyordered - quantity in the sales order but negative
      qtyreserved - quantity in the purchase order but negative
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0025930 closedaferraz It should not be possible to change the product definition 
related to defect 00318353.0PR16Q2 closedaferraz Not possible to change the product definition to Stocked under some circumstancies 
related to defect 0032392 closedmarkmm82 Wrong value in qtyreserved column of m_storage_pending when creating an order from a sales quotation 
related to defect 0035831 closedcollazoandy4 Cannot deactivate a product if it was included in a Return To Vendor Shipment 

-  Notes
(0083226)
aferraz (developer)
2016-01-13 11:19

Issue will not be reproducible once 0031835 is fixed.
Wrong data can be fixed using this module: https://code.openbravo.com/erp/pmods/org.openbravo.module.fixstock [^]

- Issue History
Date Modified Username Field Change
2016-01-07 18:15 ngarcia New Issue
2016-01-07 18:15 ngarcia Assigned To => Triage Finance
2016-01-07 18:15 ngarcia Modules => Core
2016-01-07 18:15 ngarcia Triggers an Emergency Pack => No
2016-01-07 18:18 ngarcia Issue Monitored: networkb
2016-01-07 18:24 ngarcia Relationship added related to 0025930
2016-01-08 09:05 aferraz Assigned To Triage Finance => aferraz
2016-01-08 15:03 aferraz Status new => scheduled
2016-01-11 13:39 aferraz Relationship added related to 0031835
2016-01-13 11:19 aferraz Review Assigned To => aferraz
2016-01-13 11:19 aferraz Note Added: 0083226
2016-01-13 11:19 aferraz Status scheduled => closed
2016-01-13 11:19 aferraz Resolution open => no change required
2016-01-13 11:19 aferraz Fixed in Version => 3.0PR16Q2
2016-03-03 09:49 ngarcia Relationship added related to 0032392
2017-04-25 13:24 ngarcia Relationship added related to 0035831


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker